News:

SMF 2.1.2 has been released! Take it for a spin! Read more.

Main Menu

Upgrade Smf 1.1RC2 a 1.1 RC3 (todas las versiones)

Started by Pedi que me borren, August 22, 2006, 09:45:11 PM

Previous topic - Next topic

MoJoStYk

Quote from: joomer on August 30, 2006, 09:48:40 AM
Quote from: joomer on August 29, 2006, 06:12:44 PM
Hola

tengo SMF 1.1 RC2 y descarge el upgrade 1.3, subi los archivos y fua a la direccion www.midominio.com/foros/upgrade.php

pero no pasa de este mensaje:

The upgrader found some old or outdated language files.

Please make certain you uploaded the new versions of all the files included in the package, even the theme and language files for the default theme.

Click here to try again.


no logro volver a hacer funcionar el foro y tampoco puedo entrar en el admin

intentando ver el admin me daba este error:

Unknown column 'memberIP2' in 'field list'

lo he vuelto a subir todo
lo tenia con el idioma español es y con modificaciones instaladas
pero subiendolo con el theme en ingles tampoco funciona




lo he arreglado gracias a Niko

usando la direccion:

upgrade.php?step=1

y comenzo el upgrade bien, en upgrade.php?step=0 me daba ese error y no pasaba de ahi.

saludos


gracias men mas salvao el pellejo

eduioses

Hola compis .............

Lo primero de todo presentarme y felicitaros por tan buenisimo foro.........

No he sido muy activo debido a que me gusta leer mucho....
y claro muchas de las respuestas a mis errores las encontraba..........

pero esta ya me tiene desquiciado........

El mensaje de error que me daba... era el del titulo del post....
Asi que leyendo vuestras respuestas...
He intentado hacer lo que deciais...
1º he vuelto a cambiar el post.php
Y nada mismo error
2º he verificado las opciones de mantenimiento
y a lo primero no me daba ningun error...luego un chorro....
que los ha reparado quedando otra vez limpio y sin ningun error..
pero ahora cuando intento crear un tema y le adjunto un archivo
me dice que
Tu sesión ha expirado. Favor de reenviar tu mensaje.
No se llenó el asunto.
El cuerpo del mensaje se dejó vací.
Y todo eso lo he llenado seguro...
ademas si me voy a otra seccion he podido crear el tema y subir un adjunto......
no me lo explico...`pues soy bastante novato...
pero podria ser la capacidad de adjuntos para ese foro..
o acabo de decir una gran tonteria....
juer y parecia que no escribia nada.......
Bien esperando esa mano amiga para ver si me podeis ayudar...
Gracias por adelantado...
Un saludo
             EDUIOSES
                              8)


eduioses

Lo siento .............
no me he dado cuenta que estaba en otro post..........

si algun moderador lo quisiera mover ..........el post mio de arriba iria en

http://www.simplemachines.org/community/index.php?topic=83906.msg556402#msg556402

Ha sido un fallo...
perdon.......
Un saludo
               EDUIOSES
                              8)


jfz62

Hola a todos/as:

He probado con una copia de mi foro 1.1RC2 el actualizar a RC3, todo ok y sin problemas excepto el tema de los caracteres (ñ , acentos y compañia), he probado a instalar una RC3 nueva de trinca e importar la base de datos de la anterior y estamos igual, he probado mil cosas con el tema de la codificacion y estamos en las mismas.... :(

  ¿Alguien puede decirme en que me equivoco o que hago mal o paso de alto...?

   Para quien quiera "chafardear" aqui esta la copia del foro :  hxxp:www.jfzazza.com/smfc [nonactive]

   Y ya puesto a hacer ¿como hago para que la ayuda salga en español, sea la RC2 o RC3?

  Saludos y Gracias 

 

Quikzer

Cada vez que intento ejecutar el upgrade.php me sale esto " Hacking attempt... " :S ¿alguien sabe porque no puedo actulizarlo?
http://www.t-wow.es [nofollow]

bystander

#46
Yo tengo este error, alguna ayuda ?


Upgrading...
Making SMF MySQL strict compatible... Successful.
Final clean up... Unsuccessful!

    ),
    array(
    'table' => 'personal_messages',
    'column' => 'fromName',
    'type' => 'tinytext',
    'null_allowed' => false,
    ),
    array(
    'table' => 'personal_messages',
    'column' => 'subject',
    'type' => 'tinytext',
    'null_allowed' => false,
    ),
    array(
    'table' => 'personal_messages',
    'column' => 'body',
    'type' => 'text',
    'null_allowed' => false,
    ),
    array(
    'table' => 'polls',
    'column' => 'question',
    'type' => 'tinytext',
    'null_allowed' => false,
    ),
    array(
    'table' => 'polls',
    'column' => 'posterName',
    'type' => 'tinytext',
    'null_allowed' => false,
    ),
    array(
    'table' => 'poll_choices',
    'column' => 'label',
    'type' => 'tinytext',
    'null_allowed' => false,
    ),
    array(
    'table' => 'settings',
    'column' => 'variable',
    'type' => 'tinytext',
    'null_allowed' => false,
    ),
    array(
    'table' => 'settings',
    'column' => 'value',
    'type' => 'text',
    'null_allowed' => false,
    ),
    array(
    'table' => 'sessions',
    'column' => 'data',
    'type' => 'text',
    'null_allowed' => false,
    ),
    array(
    'table' => 'themes',
    'column' => 'variable',
    'type' => 'tinytext',
    'null_allowed' => false,
    ),
    array(
    'table' => 'themes',
    'column' => 'value',
    'type' => 'text',
    'null_allowed' => false,
    ),
    );

Caused the error:

    You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '),
    array(
    'table' => 'personal_messages',
    'column' => 'from


Sé que pone qué hacer, lo que no sé es el cómo.

Gracias


Edito, a primera vista parece que el foro funciona bien, pero no me da ninguna seguridad ese error.

omarpa

bueno acabo de actualizar y todo ok.. no problemas no demoro ni 5 minutos.... y tambien ya instale el español
ahora toy instalando unos skins para esa version... esperandoq  ver que tal funicona

omarpa

tengo una pregunta....
como hago para poner la publicidad ?? ahora no me sale la opcioen..
o bueno si me sale en la configuracion del tema..... pero solo me deja poner una linea y el cod de publcicidad de googel son como 10 lines..
help!!

mbelloni

tengo una pregunta... cuando subo el archivo por el ftp. lo tengo que hacen dentro de la carpeta foro,(osea la dentro de la version 1.1rc2) o en una carpeta diferente¿?. lo subi en una carpeta diferente
la carpeta de la rc2 se llama Foro
la carpeta de la rc3 se llama foro

cuando pongo en la barra de direcciones
http://mbelloni.ueuo.com/foro/upgrade.php

me aparece todo en blanco...
que me sugieren¿

Doro


Hola,

¿Es aconsejable desinstalar themes y mods antes de actualizar o la actualización ya los inhabilita? Lo digo más que nada para no tener problemas, si total los mods y themes de la rc2 no van a valer para rc3... ???

Saludos,
*En buena medida, ser cristiano equivale a ser cruel respecto a uno mismo y a los demás, odiar a quienes piensan de forma diferente, y un afán de perseguir. Ser cristiano implica odiar la inteligencia, el orgullo, la valentía, la libertad, el libertinaje del espíritu; odiar los sentidos, el gozo sensual, el placer en cuanto tal.Friedrich Nietzsche

the_invader

wenas... soy nuevo por aqui ayer me instale un foro de estos.. para hoy quize actualizarlo a la ultima version asi que utilice la herramienta upgrade ... cuando voy a abrir mi foro me aparecia todo deforme (sin ninguna imagen) entonces me fui hasta herramientas de administrador.. y oh! sorpresa la direccion que tenia para elegir los themas estaba mal entonces la corregi y ahora me aparece que tengo instalada una version ilegal de SMF :S alguien sabe que hacer ene stos casos??? gracias de antemano por la ayuda

Doro


Hola,

Si no me equivoco, vuelve a subirlos por FTP. Eso debería arreglarlo. :P

Saludos,
*En buena medida, ser cristiano equivale a ser cruel respecto a uno mismo y a los demás, odiar a quienes piensan de forma diferente, y un afán de perseguir. Ser cristiano implica odiar la inteligencia, el orgullo, la valentía, la libertad, el libertinaje del espíritu; odiar los sentidos, el gozo sensual, el placer en cuanto tal.Friedrich Nietzsche

StupidNick

Hola.
Una pregunta:
¿Es necesario tener el server con PHP 5 corriendo para usar la RC3?
Lo pregunto debido a que cuando copie los archivos del RC3 al servidor y ejecute el upgrade.php, me largo el típico error de "some files may be out of date" o algo similar...

Opte entonces por eliminar todos los archivos anteriores del RC2 del ftp, y al copiar los nuevos(RC3).
Al ejecutar nuevamente el upgrade.php me salieron dos Fatal error: "could not Require once ......php 5.0".

Lamentablemente el pánico se apodero de mi y en ese momento ni me digne a hacer una mísera captura de pantalla para poder postear los errores aquí.

Deshalentado, rápidamente volví a copiar los archivos que tenía de la RC2 al ftp, por lo que ahora la única alegría que tengo es que el foro funcione como lo hacía antes de intentar actualizarlo.

¿A alguien le ha ocurrido esto y/o sabe como corregirlo?
Desde ya, muchas gracias.


StupidNick

Ok. gracias elbar.
Parecería que tengo 4.1.0 o superior.
Tendre que volver a intentarlo y mirar bien esos errores.
Saludos y gracias nuevamente.

Pedi que me borren

Cual es la url?

Podes hacer otra instalacion, con los mismos archivos pero con distinto prefijo de la base de datos y desde la admin o con el repair.settings...probarla con un prefijo u otro...

StupidNick

#57
Hola el bar. Gracias.

www.demo-1.com.ar/foros/index.php es la URL principal del foro.

Tengo un par de dudas:

¿Debo desinstalar todos los MODS antes de intentar actualizar el foro?
No lo hice anteriormente. No lo creí necesario ya que los archivos son borrados, por lo que desinstalarlos no haría diferencia en ellos. Y en cuanto a la base de datos, pues la mayoría de los MODS no eliminan las variables creadas en la base de datos al ser desinstalados. Entonces no haría diferencia desinstalarlos a mi parecer.

Y otra cosa: una vez que cargo los archivo del upgrade ¿estoy frente a muchas vulnerabilidades de seguridad? Porque yo ingreso al update.php pero puede hacerlo cualquier otra persona.

Gracias nuevamente por compartir tu sabiduría.
Saludos.

Pedi que me borren

Si son muchos mods y los desinstalas, podrian quedar errores...

Subi los archivos del upgrade...ejecutalo y despues borras o renombras upgrade.php

Hace copias de la base de datos antes, y descargate la carpeta del foro a tu pc.

El contenido de la carpeta attach... descargatelo, y despues de la actualizacion, lo volves a subir, por las dudas, se vacie..

StupidNick

Hola el bar.
Olvidé mencionarte:
Estuve probando a ver si lograba obtener en una copia local del SMF en mi disco el mísmo error que me había lanzado el upgrade.php.
Lo conseguí. Leyendo sin pánico esta vez, logré darme cuenta que faltaban los archivos Settings.php y Settings_bak.php. Por eso el error del upgrade.

Estuve probando hacer el upgrade de distíntas formas en mi foro de simulación, y he visto que siguiendo una determinada serie de pasos, no es necesario vaciar la carpeta attachments. El upgrade funciona igualmente.
Voy a evitar vaciar en un principio la carpeta attachments ya que posee mas de 2500 archivos que ocupan cerca de 100MB, y me lleva mas de 40 min subirlos al FTP. Por eso lo evitare al máximo excepto sea extremadamente necesario.

Voy a indicarle al upgrade que haga una copia de seguridad de mis tablas, pero tengo miedo de que en medio del proceso se quede sin espacio el hosting(ocupa más de 100MB sin compresion el foro) y no se para donde saldrá corriendo el upgrade en ese caso.

Espero todo resulte bien.

Muchas gracias. Voy a intentar lo que mencionás.

Advertisement: